---
title: Programmieren und Software Engineering
layout: layouts/presentation.njk
---

<section>
  <h2>Lehrplan</h2>
  <aside class="notes">
    <ul>
      <li>Erwartungen?</li>
      <li>Berufswünsche</li>
      <li><a href="https://answergarden.ch/create/">https://answergarden.ch/create/</a>
        <ul>
          <li>Welche Programmiersprachen möchten Sie erlernen?</li>
        </ul>
      </li>
      <li>Wer hat bereits mit Versionskontrolle gearbeitet?</li>
    </ul>
  </aside>
</section>

<section>
  <h2>Bildungs- und Lehraufgabe</h2>

  <section>
    <h3>Bereich Programmiergrundlagen</h3>
    <ul>
      <li>Grundlegende Datentypen und Kontrollstrukturen in ihren Programmen anwenden</li>
      <li>Algorithmen grafisch darstellen, mit Hilfe von Unterprogrammen strukturieren und in einer
höheren Programmiersprache umsetzen</li>
    </ul>
  </section>

  <section>
    <h3>Bereich Anwendungsprogrammierung</h3>
    <ul>
      <li>Einfache User Schnittstellen entwerfen</li>
      <li>Programme mit einer modernen, grafischen Benutzeroberfläche entwickeln</li>
    </ul>
  </section>

  <section>
    <h3>Bereich Softwareentwicklungsprozess</h3>
    <ul>
      <li>Mit gängigen Werkzeugen zur Unterstützung der Softwareentwicklung grundlegend umgehen</li>
      <li>Im Rahmen der Programmentwicklung syntaktische Fehler finden und beheben</li>
    </ul>
  </section>
</section>

<section>
  <h2>Lehrstoff</h2>

  <section>
    <h3>Bereich Programmiergrundlagen</h3>
    <ul>
      <li>Anweisungen und Kontrollstrukturen</li>
      <li>Grundlegende Datentypen und Operatoren</li>
      <li>Prozedurale Programmierung</li>
      <li>Grafische Darstellung von Algorithmen und Programmabläufen</li>
    </ul>
  </section>
  <section>
    <h3>Bereich Anwendungsprogrammierung</h3>
    <ul>
      <li>UI-Entwicklung</li>
      <li>Hardwarespezifische Programmierung</li>
    </ul>
  </section>
  <section>
    <h3>Bereich Softwareentwicklungsprozess</h3>
    <ul>
      <li>Entwicklungsumgebung</li>
      <li>Testen und Fehlersuche</li>
      <li>Debugging</li>
    </ul>
  </section>
</section>

<section>
  <h2>Programmiersprachen</h2>
  <aside class="notes">
    <ul>
      <li><a href="https://www.openhub.net/languages/compare?utf8=%E2%9C%93&measure=commits&language_name%5B%5D=golang&language_name%5B%5D=java&language_name%5B%5D=javascript&language_name%5B%5D=python&language_name%5B%5D=typescript&language_name%5B%5D=-1&commit=Update">Openhub</a></li>
      <li><a href="https://www.senarclens.eu/~gerald/presentations/cms1/1_intro/#(3)">More slides</a></li>
    </ul>
  </aside>
</section>


